Page MenuHomePhabricator

Notice: Undefined index: namespace in /srv/mediawiki/php-1.27.0-wmf.19/extensions/CirrusSearch/includes/ElasticsearchIntermediary.php on line 682
Closed, ResolvedPublic

Description

Seeing lots of:

Notice: Undefined index: namespace in /srv/mediawiki/php-1.27.0-wmf.19/extensions/CirrusSearch/includes/ElasticsearchIntermediary.php on line 682

and

Notice: Undefined index: title in /srv/mediawiki/php-1.27.0-wmf.19/extensions/CirrusSearch/includes/ElasticsearchIntermediary.php on line 682

In the logs

Event Timeline

Restricted Application added a project: Discovery. · View Herald TranscriptMar 30 2016, 7:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Also, now Notice: Undefined index: _source in /srv/mediawiki/php-1.27.0-wmf.19/extensions/CirrusSearch/includes/ElasticsearchIntermediary.php on line 682 is a thing :\

Change 280494 had a related patch set uploaded (by Thcipriani):
Fix undefined index warnings in prod

https://gerrit.wikimedia.org/r/280494

Change 280549 had a related patch set uploaded (by MaxSem):
Fix undefined index warnings in prod

https://gerrit.wikimedia.org/r/280549

Change 280494 merged by jenkins-bot:
Fix undefined index warnings in prod

https://gerrit.wikimedia.org/r/280494

Change 280549 merged by jenkins-bot:
Fix undefined index warnings in prod

https://gerrit.wikimedia.org/r/280549

Change 280620 had a related patch set uploaded (by DCausse):
Ignore ResultSet that does not return pages

https://gerrit.wikimedia.org/r/280620

Change 280620 merged by Gehel:
Ignore ResultSets that do not return pages

https://gerrit.wikimedia.org/r/280620

Change 280669 had a related patch set uploaded (by DCausse):
Ignore ResultSets that do not return pages

https://gerrit.wikimedia.org/r/280669

Change 280669 merged by jenkins-bot:
Ignore ResultSets that do not return pages

https://gerrit.wikimedia.org/r/280669

Restricted Application added a project: Discovery-Search. · View Herald TranscriptApr 4 2016, 12:18 PM
Deskana closed this task as Resolved.Apr 4 2016, 5:08 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM